OAuth clients provide client credentials according to the OAuth standard. Credentials are managed by Dynatrace administrators and are used to set up integrations between Dynatrace and external systems or automate account management.
You can only access your client secret once upon creation. You can't reveal it afterward.
After you create the OAuth2 client, request the bearer token from the Dynatrace SSO system via an API call.
Provide the following parameters in the request body. Be sure to URL-encode all values!
In this example, the response of the request contains the bearer token, which you need to pass to the API call.
{"token_type": "Bearer","resource": "urn:dtaccount:{dynatrace-account-urn}","access_token": "{your-bearer-token}","expires_in": 300,"scope": "app-engine:apps:run storage:buckets:read storage:logs:read"}
To authenticate a call, attach the token to the Authorization HTTP header preceding the Bearer realm.
--header 'Authorization: Bearer abcdefjhij1234567890'
The following example shows the authentication.
curl --request GET \--url https://api.dynatrace.com/iam/v1/accounts/{accountUuid}/users \--header 'Authorization: Bearer abcdefjhij1234567890' \